// JavaScript Document
function jouer() {   
	 $.ajax({
        type: 'POST',
        url: 'gainAleatoire.php',
        data: "nom="+ $('#nom').val(),
		dataType:'text',
        success: actualiserPage,
        error: function() {alert('Erreur serveur');}
              }); 
	 
  }
  function actualiserPage(reponse) {
	   //recup du résulat > tableau 
	   var nouveauResultat = reponse.split(":");
	   //actualisation du résultat
	   $('#resultat').html(nouveauResultat[1]);
	   $('#gagnant').html(nouveauResultat[0]);
	   //affiche la zone info
	   $('#button').attr("disabled",false);
	   $('#info').css("visibility", "visible");
  }


$(document).ready(function() {
  $('#nom').bind('keyup', null, verifierNom);
  $('#button').click(function () {jouer();});
  //gestion du bouton
  $('#button').ajaxStart(function(request, settings) { $(this).attr("disabled",true) });						  //$('#button').ajaxStop(function(request, settings){ $(this).attr("disabled",false) });   
  //gestion du chargeur
  $('#charge').ajaxStart(function(request, settings) { $(this).css("visibility", "visible") });
  $('#charge').ajaxStop(function(request, settings){ $(this).css("visibility", "hidden") });
});



function verifierNom(event) 
{
var cible ="nomVerification.php?";
    cible +="nom="+ event.target.value;
   $.ajax({
        type: 'GET',
        url: cible,
		dataType:'text',
        success: afficherReponse,
        error: function() {alert('Erreur serveur');}
              }); 
}

function afficherReponse(reponse) {
	console.info(reponse);
	if(reponse!=0) {
		$('#message').html("Joueur identifié").css({"visibility":"visible","color":"green"});
		$('#button').attr("disabled",false);
	}else{
		$('#message').html("Joueur inconnu").css({"visibility":"visible","color":"red"});
		$('#button').attr("disabled",true);
	}
}

